# fn() shareResources
Determines whether two sequences share the same resource.

Defined in | <seqan/sequence.h>
Signature | `bool shareResources(s1, s2);`

## Parameters

`s1` | First sequence.
`s2` | Second sequence.

## Return Values

`bool` | `true` if the two sequences share resources and `false` if not.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn shareResources
     *
     * @headerfile <seqan/sequence.h>
     *
     * @brief Determines whether two sequences share the same resource.
     *
     * @signature bool shareResources(s1, s2);
     *
     * @param[in] s1 First sequence.
     * @param[in] s2 Second sequence.
     *
     * @return bool <tt>true</tt> if the two sequences share resources and
     *              <tt>false</tt> if not.
     */